correct some tests
Build empanada images for imagefactory / buildx (push) Failing after 4s Details
Build empanada container images for lorax / buildx (push) Successful in 1s Details

This commit is contained in:
Louis Abel 2023-11-30 02:10:42 -07:00
parent 7a4f15caf8
commit a686f168c3
Signed by: label
GPG Key ID: B37E62D143879B36
9 changed files with 36 additions and 23 deletions

View File

@ -5,22 +5,20 @@ These are a set of scripts that are designed to test the core functionality
of a Rocky Linux system. They are designed to work on current versions of of a Rocky Linux system. They are designed to work on current versions of
Rocky and are used to test a system as a Release Engineering self-QA but Rocky and are used to test a system as a Release Engineering self-QA but
can be used by others for their own personal testing (under the assumption can be used by others for their own personal testing (under the assumption
that you just want to see what happens, we don't judge :). that you just want to see what happens, we don't judge.
These tests *must* pass for a release to be considered "Core Validated" These tests *must* pass for a X.0 release to be considered "Core Validated".
Checking against the upstream repositories for package matches are not enough
and are/will be addressed by other tools.
* common -> Functions that our scripts and tests may or may not use. Templates * common -> Functions that our scripts and tests may or may not use. Templates
and other files should come here too under common/files and and other files should come here too under common/files and
scripts that use them should reference them as `./common/files/...` scripts that use them should reference them as `./common/files/...`
* core -> Core functionality and testing. For example, packages and service * core -> Core functionality and testing. For example, packages and service
functionality. functionality.
* lib -> Library tests (these may be done elsewhere) * lib -> Library tests (these may be done elsewhere, such as openqa)
* log -> Log output. This repository has example logs of running on Rocky * log -> Log output. This repository has example logs of running on Rocky
Linux. Linux.
* modules -> Tests for module streams and their basic tests * modules -> Tests for module streams and their basic tests
* stacks -> Software stacks, think like LAMP. * stacks -> Software stacks, think like LAMP (may be done elsewhere, such as openqa)
How to Run How to Run
---------- ----------
@ -154,6 +152,9 @@ system.
No. The point is to test Rocky packages, not EPEL. There are also package No. The point is to test Rocky packages, not EPEL. There are also package
differences that will break (eg: nc -> nmap-ncat vs netcat). differences that will break (eg: nc -> nmap-ncat vs netcat).
### What about CRB or extras?
It may say it's a failure, but it will continue anyway.
Current Tree Current Tree
------------ ------------
``` ```

View File

@ -1,6 +1,7 @@
#!/bin/bash #!/bin/bash
r_log "acl" "Install the acl package" r_log "acl" "Install the acl package"
p_installPackageNormal acl p_installPackageNormal acl
r_log "acl" "Remount filesystems with ACL support (this normally should not be needed)" # This normally is not needed.
mount -o remount,acl / #r_log "acl" "Remount filesystems with ACL support"
#mount -o remount,acl /
sleep 3 sleep 3

View File

@ -27,7 +27,7 @@ popd || exit 1
r_log "cpio" "Test basic passthrough" r_log "cpio" "Test basic passthrough"
pushd "$INNER" || exit 1 pushd "$INNER" || exit 1
find /tmp | cpio -pd "$PASSER" find . | cpio -pd "$PASSER"
r_checkExitStatus $? r_checkExitStatus $?
popd || exit 1 popd || exit 1

View File

@ -38,4 +38,8 @@ r_log "findutils" "Perform for xargs test: fails with spaces in the name"
# shellcheck disable=SC2038 # shellcheck disable=SC2038
find "$TMPDIR" -type f | xargs ls &> /dev/null && { r_log "findutils" "Why did this get a 0 exit?"; exit "$FAIL"; } find "$TMPDIR" -type f | xargs ls &> /dev/null && { r_log "findutils" "Why did this get a 0 exit?"; exit "$FAIL"; }
ret_val=$? ret_val=$?
r_checkExitStatus $ret_val if [ "$ret_val" -ne "0" ]; then
r_checkExitStatus 0
else
r_checkExitStatus 1
fi

View File

@ -1,15 +1,15 @@
#!/bin/bash #!/bin/bash
r_log "openssh" "Testing basic login (using sshpass)" r_log "openssh" "Testing basic login (using sshpass)"
trap 'userdel -rf sshpasstest; unset SSHPASS' EXIT
if sshd -T | grep -q "passwordauthentication yes"; then if sshd -T | grep -q "passwordauthentication yes"; then
r_log "openssh" "Creating test user" r_log "openssh" "Creating test user"
SSHPASS="Blu30nyx!" export SSHPASS="Blu30nyx!"
useradd sshpasstest useradd sshpasstest
echo "${SSHPASS}" | passwd --stdin sshpasstest echo "${SSHPASS}" | passwd --stdin sshpasstest
r_log "openssh" "Testing login" r_log "openssh" "Testing login"
sshpass -e ssh sshpasstest@localhost echo 'hello' sshpass -e ssh sshpasstest@localhost echo 'hello'
r_checkExitStatus $? r_checkExitStatus $?
userdel -rf sshpasstest
else else
r_log "openssh" "Skipping test" r_log "openssh" "Skipping test"
exit 0 exit 0

View File

@ -1,5 +1,6 @@
#!/bin/bash #!/bin/bash
r_log "postfix" "Install postfix (requires stop of other pieces)" r_log "postfix" "Install postfix (requires stop of other pieces)"
# This is OK if it fails - This is also not logged except in stderr
m_serviceCycler sendmail stop m_serviceCycler sendmail stop
p_installPackageNormal postfix nc dovecot openssl p_installPackageNormal postfix nc dovecot openssl
m_serviceCycler postfix enable m_serviceCycler postfix enable

View File

@ -2,6 +2,17 @@
r_log "postfix" "Test postfix with TLS" r_log "postfix" "Test postfix with TLS"
DROPDIR=/var/tmp/postfix DROPDIR=/var/tmp/postfix
function cleanup() {
mv /etc/postfix/main.cf.backup /etc/postfix/main.cf
mv /etc/dovecot/dovecot.conf.backup /etc/dovecot/dovecot.conf
rm /etc/pki/tls/certs/mail.crt
rm /etc/pki/tls/private/mail.key
rm -rf $DROPDIR/mail.*
rm -rf /var/tmp/postfix
}
trap cleanup EXIT
cp -a /etc/postfix/main.cf /etc/postfix/main.cf.backup cp -a /etc/postfix/main.cf /etc/postfix/main.cf.backup
cp -a /etc/dovecot/dovecot.conf /etc/dovecot/dovecot.conf.backup cp -a /etc/dovecot/dovecot.conf /etc/dovecot/dovecot.conf.backup
@ -59,11 +70,4 @@ r_log "postfix" "Testing that postfix offers STARTTLS"
echo "ehlo test" | nc -w 3 127.0.0.1 25 | grep -q "STARTTLS" echo "ehlo test" | nc -w 3 127.0.0.1 25 | grep -q "STARTTLS"
ret_val=$? ret_val=$?
mv /etc/postfix/main.cf.backup /etc/postfix/main.cf r_checkExitStatus $ret_val
mv /etc/dovecot/dovecot.conf.backup /etc/dovecot/dovecot.conf
rm /etc/pki/tls/certs/mail.crt
rm /etc/pki/tls/certs/mail.key
rm -rf $DROPDIR/mail.*
rm -rf /var/tmp/postfix
r_checkExitStatus $?

View File

@ -5,7 +5,7 @@ r_log "rocky release" "Checking that the package is at least X.Y-1.B"
RELEASE_VER="$(rpm -q rocky-release --qf '%{RELEASE}')" RELEASE_VER="$(rpm -q rocky-release --qf '%{RELEASE}')"
RELNUM="${RELEASE_VER:0:1}" RELNUM="${RELEASE_VER:0:1}"
if [ "${RELNUM}" -ge "1" ]; then if [ "${RELNUM}" -ge "1" ]; then
if [ "${RELEASE_VER:0:3}" == [${RELNUM}.[:digit:]] ]; then if [[ "${RELEASE_VER:0:3}" =~ ^${RELNUM}.[[:digit:]] ]]; then
ret_val="0" ret_val="0"
else else
r_log "rocky release" "FAIL: The release package is not in X.Y-A.B format" r_log "rocky release" "FAIL: The release package is not in X.Y-A.B format"

View File

@ -15,9 +15,11 @@ pwck -rq ./common/files/incorrect-passwd ./common/files/incorrect-shadow
ret_val=$? ret_val=$?
if [ "$ret_val" -eq 0 ]; then if [ "$ret_val" -eq 0 ]; then
r_log "shadow" "They're correct." r_log "shadow" "They're correct."
exit 1 r_checkExitStatus 1
else
r_log "shadow" "They're incorrect."
r_checkExitStatus 0
fi fi
r_checkExitStatus $ret_val
r_log "shadow" "Check that pwconv is functional" r_log "shadow" "Check that pwconv is functional"
mkdir -p /var/tmp/pwconv mkdir -p /var/tmp/pwconv